using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class CustomerInfo : System.Web.UI.Page
{
    OrderDetails details_ds;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (string.IsNullOrEmpty(Request.QueryString["CustID"]))
        return;
        string custID = Request.QueryString["CustID"];
        if(custID.Contains(" ") || custID.Contains("'"))
        return;

        details_ds = new OrderDetails();
        
        OrderDetailsTableAdapters.OrderDetailTableAdapter orders_da = new OrderDetailsTableAdapters.OrderDetailTableAdapter();
        orders_da.Fill(details_ds.OrderDetail, custID);
        Response.Write(DSToJSON());
        
    }

    private string DSToJSON()
    {
        System.Text.StringBuilder sb = new System.Text.StringBuilder();
        sb.Append("{\"Orders\":{ \"Items\": [");
      
        foreach (OrderDetails.OrderDetailRow dr in details_ds.OrderDetail.Rows)
        {           
            sb.Append("{\"Date\": \"");
            if(!dr.IsShippedDateNull())
            sb.Append(dr.ShippedDate.ToShortDateString());
            else
            sb.Append("--NA--");

            sb.Append("\", \"City\": \"");
            sb.Append(dr.ShipCity);
            sb.Append("\", \"Name\": \"");
            sb.Append(dr.ProductName);
            sb.Append("\", \"Quantity\": \"");
            sb.Append(dr.Quantity);
            sb.Append("\"},");

        }
        sb= sb.Remove(sb.Length - 1, 1);
        sb.Append("] }}");

        return sb.ToString();


    }
}
